Subject: Re: bug#49270: 28.0.50: native-comp: macOS self-contained .app does not use bundled *.eln files

From: Alan Third <[email-masked]>
Date: Tue, 29 Jun 2021 22:06:43 +0100

On Tue, Jun 29, 2021 at 12:51:48PM +0100, Jim Myhrberg wrote:
> When performing a self-contained Emacs.app build, *.eln files for
> Emacs' built-in lisp files stored within the Emacs.app bundle are not
> used.
> 
> I believe commit 5dd2d50 which moved *.eln files and various paths
> around a bit for macOS builds, has re-introduced an old bug from last
> year. Basically the checksums that makes up part of the *.eln file
> names uses the absolute path of the .el file in question, but for self
> contained .app builds it needs to just use the relative path to the
> app itself.

I don't think this is the same bug (although I guess it has the same
symptoms).

Please try the attached patch, it fixes it here.
-- 
Alan Third
>From 0517874eb4bce2cbbcdf58516c43d50b0174c0ec Mon Sep 17 00:00:00 2001
From: Alan Third <[email-masked]>
Date: Tue, 29 Jun 2021 22:02:43 +0100
Subject: [PATCH] Fix NS native comp search path (bug#49270)

* configure.ac (NS_SELF_CONTAINED): We need to make lispdirrel the
same as lispdir when building a self contained app bundle as they're
both relative paths.
---
 configure.ac | 1 +
 1 file changed, 1 insertion(+)

diff --git a/configure.ac b/configure.ac
index c8920d877e..6e2cda947a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2025,6 +2025,7 @@ AC_DEFUN
      infodir="\${ns_appresdir}/info"
      mandir="\${ns_appresdir}/man"
      lispdir="\${ns_appresdir}/lisp"
+     lispdirrel="\${ns_appresdir}/lisp"
      test "$locallisppathset" = no && locallisppath="\${ns_appresdir}/site-lisp"
      INSTALL_ARCH_INDEP_EXTRA=
   fi
-- 
2.29.2